#### D.8.8.4 ivmatInit

Procedure from library `rootisolation.lib` (see rootisolation_lib).

Usage:
  `ivmatInit(m, n)`; `m, n int`

Return:
  `m`x`n` matrix of [0,0]-intervals

Purpose:
  initialises an interval matrix with [0,0] intervals to ensure the proper structure of the `ivmat` type

Example:

    LIB "rootisolation.lib";
    ring R = 0,x(1..5),dp;
    ivmat A = ivmatInit(4, 5); A;
    ==> [0, 0],[0, 0],[0, 0],[0, 0],[0, 0]
    ==> [0, 0],[0, 0],[0, 0],[0, 0],[0, 0]
    ==> [0, 0],[0, 0],[0, 0],[0, 0],[0, 0]
    ==> [0, 0],[0, 0],[0, 0],[0, 0],[0, 0]
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.